Get the list of tasks in a job
GET
queues/{queueId}/jobs/{jobId}/tasks
Get all tasks of the specified jobId. To retrieve a specific task by name, add a filter as a query param using the syntax filter[name]=<name to find>.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/flow/compute/v1/queues/{queueId}/jobs/{jobId}/tasks |
| Authentication Context | user context optional |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow. |
| region string | The region targeted by the request. The usage of this header is recommended for faster processing. The region specified must match the region in which the targeted job queue was created or else the request will fail. |
* Required
Request
URI Parameters
| queueId string | The queue ID. Use the special ID @default to indicate the default queue for the user or client app. |
| jobId string | The job ID |
Request
Query String Parameters
| filter[name] string | Filter by name |
| paginationToken string | Job pagination token. This parameter should not be specified manually; instead, the complete nextUrl should be used to retrieve the next set of jobs. It is documented here for completeness. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | Bad request - indicates an incorrectly structured or otherwise incorrect request. |
| 401 Unauthorized | Unauthorized - credentials are invalid or not provided in the request |
| 403 Forbidden | Forbidden - the user or client does not have the required privileges to access this resource |
| 404 Not Found | The specified resource was not found |
Response
Body Structure (200)
Expand all
| pagination object | Provides additional information that can be used when iterating over results that are too large to fit into one response. In such cases, the pagination information indicates how to retrieve the next set of results and when done. Note that not all information in the pagination object is guaranteed to be present. For more details, refer to the developer guide. |
| limit int | If present, indicates the limit that was used when the request was made |
| totalResults int | If present, indicates the total number of results that are available. |
| nextUrl string | If present, this URL can be used to get the next set of results. The URL can be used as-is without modification. The URL will include the paginationToken already. If this property is not present, that indicates that there are no more results that can be retrieved. |
| previousUrl string | If present, this URL can be used to get the previous set of results. The URL can be used as-is without modification. The URL will include the paginationToken already. If this property is not present, that indicates that the API does not provide this functionality for this endpoint. |
| results array | Contains the list of tasks in this response. Note that the list of tasks is truncated if too large to provide in one response. In this case, the pagination object will contain a nextUrl that can be used to get more results. |
| oneOf array:oneOf | |
| MapTask specialization object | This feature is experimental. |
| name string | The name of a task. Task names are unique within a job
Max length: 1000 |
| type enum:string | Will always be: map |
| task object | A description of the task to be performed. |
| name string | The name of a task. Task names are unique within a job
Max length: 1000 |
| type enum:string | Will always be: task |
| executor one of | A reference to the task executor that should perform a specific task, indicating which compute capability should perform the task. |
| Task executor name string | The name of a task executor
Max length: 200 |
| Task executor version reference object | References a specific task executor version |
| name string | The name of a task executor
Max length: 200 |
| version string | The version of a task executor
Max length: 200 |
| hints object | Optional hints to be provided to the task executor, that may be taken into account when performing the task. |
| inputs array: object | A list of input resources needed by the task. This specifies the inputs to be downloaded before the task starts. |
| source one of | Represents an external storage location, either a URI or a reference to a storage space. |
| URI storage location object | A URI where a particular resource is located. |
| uri string | The resource URI |
| Space storage location object | Represents a storage location within a specific storage space |
| key string | The unique key within the storage space that refers to the particular object within the space. |
| spaceId string | An ID for a storage space, specified as <storage provider>:<storage space key>. |
| target object | Describes how a resource is mapped to a local view, e.g. a file path where the resource should be placed or found. |
| path string | A file system path referring to a location on disk. File system paths are always interpreted as Posix style and will always be transformed into relative paths. This includes them being case sensitive, and in addition control characters are not permitted.
Max length: 4000 |
| limitations object | Specifies optional limitations for the task. |
| maxExecutionTimeInSeconds int | Max execution time for the task, specified in seconds. The service will attempt to limit the task to run for no longer than this. Can be set to up to 172800 seconds (2 days).
Note: Additional limitations may apply, meaning that a task may be canceled prior to reaching this limit. |
| packages object | Specifies the set of packages that are required by the task |
| * one of | |
| Package specification one of | Specifies which version of a package to use |
| Package version string | A specific version of a package.
Max length: 200 |
| Package version enum:string | Constants for package versions Will always be: * |
| Package details object | Detailed specification for a package |
| version one of | Specifies which version of a package to use |
| Package version string | A specific version of a package.
Max length: 200 |
| Package version enum:string | Constants for package versions Will always be: * |
| variant object | Specifies any variant for a package |
| * string | Selects a specific variant
Max length: 200 |
| payload object | Executor-specific information used to instruct the executor on what to do. For more information, see the executor documentation. |
| requirements object | Specifies requirements for the task. The service will attempt to ensure that these requirements are met, but for instance some resources may be devoted to task management and similar. Also, the service may elect to run the task with a different resource allocation, meaning that the actual amount of memory or CPU available to the task may differ from these requirements. |
| cpu int | The minimum number of vCPUs that should be allocated to run the task. The maximum number may differ depending on the executor as well as other configuration, but it can currently never exceed 16 vCPUs. If the minimum vCPU count given cannot be satisfied, the task will fail with an error. |
| memory int | The minimum amount of memory needed to run the task, specified in MBs. The maximum allowed amount of memory may differ depending on executor as well as other configuration, but can currently never exceed 122880 MBs. If the minimum amount of memory specified cannot be satisfied the task will fail with an error. |
| values object | |
| source string | |
| TaskDescription specialization object | A description of the task to be performed. |
| name string | The name of a task. Task names are unique within a job
Max length: 1000 |
| type enum:string | Will always be: task |
| executor one of | A reference to the task executor that should perform a specific task, indicating which compute capability should perform the task. |
| Task executor name string | The name of a task executor
Max length: 200 |
| Task executor version reference object | References a specific task executor version |
| name string | The name of a task executor
Max length: 200 |
| version string | The version of a task executor
Max length: 200 |
| hints object | Optional hints to be provided to the task executor, that may be taken into account when performing the task. |
| inputs array: object | A list of input resources needed by the task. This specifies the inputs to be downloaded before the task starts. |
| source one of | Represents an external storage location, either a URI or a reference to a storage space. |
| URI storage location object | A URI where a particular resource is located. |
| uri string | The resource URI |
| Space storage location object | Represents a storage location within a specific storage space |
| key string | The unique key within the storage space that refers to the particular object within the space. |
| spaceId string | An ID for a storage space, specified as <storage provider>:<storage space key>. |
| target object | Describes how a resource is mapped to a local view, e.g. a file path where the resource should be placed or found. |
| path string | A file system path referring to a location on disk. File system paths are always interpreted as Posix style and will always be transformed into relative paths. This includes them being case sensitive, and in addition control characters are not permitted.
Max length: 4000 |
| limitations object | Specifies optional limitations for the task. |
| maxExecutionTimeInSeconds int | Max execution time for the task, specified in seconds. The service will attempt to limit the task to run for no longer than this. Can be set to up to 172800 seconds (2 days).
Note: Additional limitations may apply, meaning that a task may be canceled prior to reaching this limit. |
| packages object | Specifies the set of packages that are required by the task |
| * one of | |
| Package specification one of | Specifies which version of a package to use |
| Package version string | A specific version of a package.
Max length: 200 |
| Package version enum:string | Constants for package versions Will always be: * |
| Package details object | Detailed specification for a package |
| version one of | Specifies which version of a package to use |
| Package version string | A specific version of a package.
Max length: 200 |
| Package version enum:string | Constants for package versions Will always be: * |
| variant object | Specifies any variant for a package |
| * string | Selects a specific variant
Max length: 200 |
| payload object | Executor-specific information used to instruct the executor on what to do. For more information, see the executor documentation. |
| requirements object | Specifies requirements for the task. The service will attempt to ensure that these requirements are met, but for instance some resources may be devoted to task management and similar. Also, the service may elect to run the task with a different resource allocation, meaning that the actual amount of memory or CPU available to the task may differ from these requirements. |
| cpu int | The minimum number of vCPUs that should be allocated to run the task. The maximum number may differ depending on the executor as well as other configuration, but it can currently never exceed 16 vCPUs. If the minimum vCPU count given cannot be satisfied, the task will fail with an error. |
| memory int | The minimum amount of memory needed to run the task, specified in MBs. The maximum allowed amount of memory may differ depending on executor as well as other configuration, but can currently never exceed 122880 MBs. If the minimum amount of memory specified cannot be satisfied the task will fail with an error. |
Example
This example gets the list of tasks for a given job ID.
Request
curl -v 'https://developer.api.autodesk.com/flow/compute/v1/queues/@default/jobs/da4aa881-d54b-4c5a-a142-391ebd9e98e0/tasks' \
-X 'GET' \
-H 'Authorization: Bearer eyJhbGciOiJSUz...' \
Response
{
"results": [
{
"requirements": {
"cpu": 4,
"memory": 30720
},
"payload": {
"options": {
"frames": {
"start": 1,
"end": 1
},
"compound": "User::Graphs::addTrees"
},
"action": "Evaluate",
"definitionFiles": [
{
"source": {
"uri": "urn:adsk:fc.scratch:us-west.prd:resource:@default/bifrostGraph.json"
},
"target": {
"path": "bifrostgraph.json"
}
}
],
"executions": [
{
"outputs": [
{
"source": {
"path": "planeWithTrees.usd"
},
"target": {
"name": "planeWithTrees.usd"
}
}
],
"inputs": [
{
"source": {
"uri": "urn:adsk:fc.scratch:us-west.prd:resource:@default/plane.usd"
},
"target": {
"path": "plane.usd"
}
}
],
"frameId": 1
}
],
"ports": {
"inputPorts": [
{
"name": "inputFilename",
"type": "string",
"value": "plane.usd"
},
{
"name": "outputFilename",
"type": "string",
"value": "planeWithTrees.usd"
},
{
"name": "amount",
"type": "float",
"value": "1000"
}
],
"jobPorts": []
}
},
"executor": "bifrost",
"inputs": [],
"name": "execute bifrost graph",
"type": "task",
"limitations": {
"maxExecutionTimeInSeconds": 600
}
}
]
}
Show More